import React from 'react'
import { mount } from '../../test/utils'

import { Subheading } from '../Subheading'

describe('<Subheading />', () => {
  it('mounts', () => {
    const subheading = mount(<Subheading />)
    expect(subheading).not.toBeNull()
  })

  it('renders its children', () => {
    const mockChildren = 'mock_children'
    const app = mount(<Subheading>{mockChildren}</Subheading>)
    expect(app).toContainReactText(mockChildren)
  })
})
